import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';
import 'dart:io';

class PayWebView extends StatefulWidget {
  String url;
  String title;
  Color colorAppBar;
  Color colorText;
  PayWebView(
      {Key? key,
      required this.url,
      this.title = "Procesos de pago",
      this.colorAppBar = Colors.white,
      this.colorText = Colors.black});
  @override
  _PayWebView createState() => _PayWebView();
}

class _PayWebView extends State<PayWebView> {
  void initState() {
    super.initState();
    if (Platform.isAndroid) WebView.platform = SurfaceAndroidWebView();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          centerTitle: true,
          title: Text(widget.title, style: TextStyle(color: widget.colorText)),
          backgroundColor: widget.colorAppBar,
        ),
        body: WebView(
          initialUrl: widget.url,
          javascriptMode: JavascriptMode.unrestricted,
        ));
  }
}
